FLATPAK LIST(1)

NAME
flatpak-list - List installed applications and/or runtimes

SYNOPSIS

flatpak list [OPTION...]

DESCRIPTION

Lists the names of the installed applications and runtimes.

By default, both apps and runtimes are shown, but you can change this by using the --app or --runtime options.

By default, both per-user and system-wide installations are shown. Use the --user, --installation or --system options to change this.

The list command can also be used to find installed apps that use a certain runtime, with the --app-runtime option.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

-u, --user
    List per-user installations.

--system
    List the default system-wide installations.

--installation=NAME
    List a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--arch=ARCH
    List apps/runtimes for this architecture. See flatpak --supported-arches for architectures supported by the host.

-d, --show-details
    Show origin, sizes and other extra information. Equivalent to --columns=all.

--app
    List applications.

--runtime
    List runtimes.

--all, -a
    List all installed runtimes, including locale and debug extensions. These are hidden by default.

--app-runtime=RUNTIME
    List applications that use the given runtime.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--columns=FIELD,...
    Specify what information to show about each ref. You can list multiple fields, or use this option multiple times.

    Append :s[tart], :m[iddle], :e[nd] or :f[ull] to column names to change ellipsization.

FIELDS

The following fields are understood by the --columns option:

name
    Show the name

description
    Show the description

application
    Show the application or runtime ID

arch
    Show the architecture

branch
    Show the branch

runtime
    Show the used runtime

version
    Show the version

ref
    Show the ref

origin
    Show the origin remote

installation
    Show the installation

active
    Show the active commit

latest
    Show the latest commit

size
    Show the installed size

options
    Show options

all
    Show all columns

help
    Show the list of available columns

Note that field names can be abbreviated to a unique prefix.

EXAMPLES

$ flatpak --user --columns=app list

    Application
    org.gnome.Builder
    org.freedesktop.glxgears
    org.gnome.MyApp
    org.gnome.gedit

SEE ALSO

flatpak(1), flatpak-install(1), flatpak-update(1)